{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.anteater": {
      "initial_state": "default",
      "states": {
        "default": {
          "on_entry": ["/effect @s clear slowness"],
          "transitions": [
            {
              "not_move": "q.is_interested || q.timer_flag_1 || query.property('silverlabs_nat:on_defensive_mode') == 'enabled'"
            }
          ]
        },

        "not_move": {
          "on_entry": ["/effect @s slowness infinite 255 true"],
          "transitions": [
            {
              "default": "!q.is_interested && !q.timer_flag_1 && query.property('silverlabs_nat:on_defensive_mode') != 'enabled'"
            }
          ]
        }
      }
    }
  }
}
